个人通知
GET https://pushye.com/api/personal-notifications/
curl --request GET \
--url 'https://pushye.com/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name, title, description, url。 |
| website_id | 可选的 整数 | |
| status | 可选的 字符串 | 允许的值:draft, scheduled, processing, sent |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime, sent_datetime, scheduled_datetime |
| datetime_start | 可选的 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选的 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:personal_notification_id, datetime, last_datetime, sent_datetime, scheduled_datetime, name, title。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"subscriber_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"is_sent": 1,
"is_displayed": 1,
"is_clicked": 0,
"is_closed": 0,
"status": "sent",
"scheduled_datetime": "2024-08-02 17:00:43",
"sent_datetime": "2024-08-02 17:00:43",
"last_datetime": null,
"datetime": "2026-04-28 18:36:45",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/personal-notifications?page=1",
"last": "https://pushye.com/api/personal-notifications?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/personal-notifications?page=1"
}
}
GET https://pushye.com/api/personal-notifications/{personal_notification_id}
curl --request GET \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"subscriber_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"is_sent": 1,
"is_displayed": 1,
"is_clicked": 0,
"is_closed": 0,
"status": "sent",
"scheduled_datetime": "2024-08-02 17:00:43",
"sent_datetime": "2024-08-02 17:00:43",
"last_datetime": null,
"datetime": "2026-04-28 18:36:45",
}
}
POST https://pushye.com/api/personal-notifications
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 必需 整数 | - |
| subscriber_id | 必需 整数 | - |
| name | 必需 字符串 | - |
| title | 必需 字符串 | - |
| description | 必需 字符串 | - |
| url | 可选的 字符串 | - |
| image | 可选的 文件 | - |
| button_title_1 | 可选的 字符串 | - |
| button_url_1 | 可选的 字符串 | - |
| button_title_2 | 可选的 字符串 | - |
| button_url_2 | 可选的 字符串 | - |
| is_scheduled | 可选的 布尔值 | - |
| scheduled_datetime | 可选的 字符串 | - |
| is_silent | 可选的 布尔值 | - |
| is_auto_hide | 可选的 布尔值 | - |
| ttl | 可选的 字符串 | 允许的值:0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | 可选的 字符串 | - |
| utm_medium | 可选的 字符串 | - |
| utm_campaign | 可选的 字符串 | - |
| save | 可选的 布尔值 | 保存草稿 |
| send | 可选的 布尔值 | 发送个人通知 |
curl --request POST \
--url 'https://pushye.com/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://pushye.com/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/personal-notifications/{personal_notification_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 可选的 整数 | - |
| subscriber_id | 可选的 整数 | - |
| name | 可选的 字符串 | - |
| title | 可选的 字符串 | - |
| description | 可选的 字符串 | - |
| url | 可选的 字符串 | - |
| image | 可选的 文件 | - |
| button_title_1 | 可选的 字符串 | - |
| button_url_1 | 可选的 字符串 | - |
| button_title_2 | 可选的 字符串 | - |
| button_url_2 | 可选的 字符串 | - |
| is_scheduled | 可选的 布尔值 | - |
| scheduled_datetime | 可选的 字符串 | - |
| is_silent | 可选的 布尔值 | - |
| is_auto_hide | 可选的 布尔值 | - |
| ttl | 可选的 字符串 | 允许的值:0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | 可选的 字符串 | - |
| utm_medium | 可选的 字符串 | - |
| utm_campaign | 可选的 字符串 | - |
| save | 可选的 布尔值 | 保存草稿 |
| send | 可选的 布尔值 | 发送个人通知 |
curl --request POST \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/personal-notifications/{personal_notification_id}
curl --request DELETE \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \